#-------------------------------------------------------------------------------
#
# CONFIGURATION FILE FOR MENTAT-STORAGE.PY MODULE
#
#-------------------------------------------------------------------------------

{
    #---------------------------------------------------------------------------
    # Custom daemon configurations
    #---------------------------------------------------------------------------

    # Switch for turning bulk insert operation mode on/off.
    #   default: true
    #   type:    bool
    #
    "commit_bulk": true,

    # Time interval in seconds for enforcing commit of bulk event insert transaction.
    #   default: 5
    #   type:    integer
    #
    "commit_bulk_interval": 5,

    # Event count threshold for enforcing commit of bulk event insert transaction.
    #   default: 1000
    #   type:    integer
    #
    "commit_bulk_threshold": 500,

    #---------------------------------------------------------------------------
    # Common piper daemon configurations
    #---------------------------------------------------------------------------

    #"queue_in_dir": "mentat-storage.py",
    "queue_out_dir": null,
    #"queue_in_wait": 3,
    #"queue_out_wait": 10,
    #"queue_out_limit": 5000,

    #---------------------------------------------------------------------------
    # Common daemon configurations
    #---------------------------------------------------------------------------

    #"no_daemon": false,
    #"chroot-dir": null,
    #"work_dir": "/",
    #"pid_file": "/var/mentat/run/mentat-storage.py.pid",
    #"state_file": "/var/mentat/run/mentat-storage.py.state",
    #"umask": "0o002",
    #"stats_interval": 300,
    #"paralel": false,

    #---------------------------------------------------------------------------
    # Common application configurations
    #---------------------------------------------------------------------------

    #"quiet": false,
    #"verbosity": 0,
    #"log_file": "/var/mentat/log/mentat-storage.py.log",
    #"log_level": "info",
    #"runlog_dir": "/var/mentat/run/mentat-storage.py",
    #"runlog_dump": false,
    #"runlog_log": false,
    #"pstate_file": "/var/mentat/run/mentat-storage.py.pstate",
    #"pstate_dump": false,
    #"pstate_log": false,
    #"action": null,
    #"user": "mentat",
    #"group": "mentat",

    # This is a dummy last configuration so that the user does not have to fix
    # the commas in the whole configuration file after each change.
    "_dummy_": "_dummy_"
}
